SRC=$(wildcard *.cpp)
EXE=$(addsuffix .exe, $(basename $(SRC)))
CPPC=g++ -std=c++14
CPPC_FLAGS=-Wall -Wextra -pedantic -O3 
DCO=../dco
EIGEN=../Eigen
LIN_SYS=../lin_sys_generic
NONLIN_SYS=../nonlin_sys

all : $(EXE)

%.exe : %.cpp
	$(CPPC) $(CPPC_FLAGS) $< -I$(EIGEN) -DEIGEN_STACK_ALLOCATION_LIMIT=100000000000 -I$(DCO)/include -I$(LIN_SYS) -I$(NONLIN_SYS) -L$(DCO)/lib -ldcoc -DDCO_DISABLE_AUTO_WARNING -o $@

pdf : 
	mpage -1 -H *.h *.cpp >source.ps
	ps2pdf source.ps

clean :
	rm -fr $(EXE) *.out html latex source.*

.PHONY: all clean pdf
